## qemacs 0.3.1.cvs.20050617

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,19 @@
 include config.mak
 
 # from configure
-#CONFIG_TINY=y
-#CONFIG_X11=y
-#CONFIG_XFT=y
-#CONFIG_WIN32=y
-#CONFIG_PNG_OUTPUT=y
-#CONFIG_FFMPEG=y
-#CONFIG_HTML=y
-#CONFIG_DLL=y
+#CONFIG_NETWORK=yes
+#CONFIG_WIN32=yes
+#CONFIG_CYGWIN=yes
+#CONFIG_X11=yes
+#CONFIG_XV=yes
+#CONFIG_XRENDER=yes
+#CONFIG_TINY=yes
+#CONFIG_XFT=yes
+#CONFIG_HTML=yes
+#CONFIG_DLL=yes
+#CONFIG_INIT_CALLS=yes
+#CONFIG_PNG_OUTPUT=yes
+#CONFIG_FFMPEG=yes
 
 # currently fixes
 #
@@ -66,23 +71,33 @@
 ifdef CONFIG_ALL_KMAPS
 DEFINES+= -DCONFIG_ALL_KMAPS
 endif
+
 ifdef CONFIG_UNICODE_JOIN
 DEFINES+= -DCONFIG_UNICODE_JOIN
 endif
+
 ifdef CONFIG_ALL_MODES
 DEFINES+= -DCONFIG_ALL_MODES
 endif
+
 ifdef CONFIG_DLL
 LIBS+=-ldl
 # export some qemacs symbols
 LDFLAGS+=-Wl,-E
 endif
+
 LIBS+=-lm
 
+TARGETLIBS:=
 TARGETS+=qe$(EXE) qe-doc.html
 
 OBJS=qe.o charset.o buffer.o \
-     input.o unicode_join.o display.o util.o hex.o list.o cutils.o
+     input.o unicode_join.o display.o util.o hex.o list.o 
+
+ifndef CONFIG_FFMPEG
+OBJS+= cutils.o
+endif
+
 ifndef CONFIG_WIN32
 OBJS+= unix.o tty.o 
 endif
@@ -126,7 +141,8 @@
 LIBS+=-L./libqhtml -lqhtml
 OBJS+=html.o docbook.o
 ifndef CONFIG_WIN32
-TARGETS+=html2png
+TARGETLIBS+= libqhtml
+TARGETS+= html2png$(EXE)
 endif
 endif
 
@@ -139,29 +155,30 @@
 DEP_LIBS+=$(FFMPEG_LIBDIR)/libavcodec/libavcodec.a $(FFMPEG_LIBDIR)/libavformat/libavformat.a
 LIBS+=  -L$(FFMPEG_LIBDIR)/libavcodec -L$(FFMPEG_LIBDIR)/libavformat -lavformat -lavcodec -lz -lpthread
 DEFINES+= -I$(FFMPEG_SRCDIR)/libavcodec -I$(FFMPEG_SRCDIR)/libavformat
-TARGETS+=ffplay
+TARGETS+= ffplay$(EXE)
 endif
 
 # must be the last object
 OBJS+= qeend.o
 
-all: lib $(TARGETS)
-
-lib:
+all: $(TARGETLIBS) $(TARGETS)
+
+libqhtml: force
 	make -C libqhtml all
 
-qe_g: $(OBJS) $(DEP_LIBS)
+qe_g$(EXE): $(OBJS) $(DEP_LIBS)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-qe$(EXE): qe_g
+qe$(EXE): qe_g$(EXE)
+	rm -f $@
 	cp $< $@
 	$(STRIP) $@
 	@ls -l $@
 
-ffplay: qe$(EXE)
+ffplay$(EXE): qe$(EXE)
 	ln -sf $< $@
 
-qe.o: qe.c qe.h qfribidi.h
+qe.o: qe.c qe.h qfribidi.h qeconfig.h
 
 charset.o: charset.c qe.h
 
@@ -182,23 +199,24 @@
 
 clean:
 	make -C libqhtml clean
-	rm -f *.o *~ TAGS gmon.out core \
-           qe qe_g qe.exe qfribidi kmaptoqe ligtoqe \
-           html2png fbftoqe fbffonts.c
+	rm -f *.o *.exe *~ TAGS gmon.out core qe.exe.stackdump \
+           qe qe_g qfribidi kmaptoqe ligtoqe html2png fbftoqe fbffonts.c
 
 distclean: clean
 	rm -f config.h config.mak
 
-install: qe qe.1 kmaps ligatures html2png
-	install -m 755 qe $(prefix)/bin/qemacs
-	ln -sf qemacs $(prefix)/bin/qe
+install: $(TARGETS) qe.1 kmaps ligatures
+	install -m 755 qe$(EXE) $(prefix)/bin/qemacs
+	ln -sf qemacs $(prefix)/bin/qe$(EXE)
 ifdef CONFIG_FFMPEG
 	ln -sf qemacs $(prefix)/bin/ffplay
 endif
 	mkdir -p $(prefix)/share/qe
 	install kmaps ligatures $(prefix)/share/qe
 	install qe.1 $(prefix)/man/man1
-	install -m 755 -s html2png $(prefix)/bin
+ifdef CONFIG_HTML
+	install -m 755 -s html2png$(EXE) $(prefix)/bin
+endif
 
 TAGS: force
 	etags *.[ch]
@@ -246,24 +264,24 @@
 tar:
 	rm -rf /tmp/$(FILE)
 	mkdir -p /tmp/$(FILE)
-	cp -P $(FILES) /tmp/$(FILE)
-	( cd /tmp ; tar zcvf ~/$(FILE).tar.gz $(FILE) )
+	cp --parents $(FILES) /tmp/$(FILE)
+	( cd /tmp ; tar zcvf $(HOME)/$(FILE).tar.gz $(FILE) )
 	rm -rf /tmp/$(FILE)
 
 #
 # Test for bidir algorithm
 #
-qfribidi: qfribidi.c
+qfribidi$(EXE): qfribidi.c
 	$(HOST_CC) $(CFLAGS) -DTEST -o $@ $<
 
 #
 # build ligature table
 #
-ligtoqe: ligtoqe.c
+ligtoqe$(EXE): ligtoqe.c
 	$(HOST_CC) $(CFLAGS) -o $@ $<
 
 ifdef BUILD_ALL
-ligatures: unifont.lig ligtoqe
+ligatures: unifont.lig ligtoqe$(EXE)
 	./ligtoqe unifont.lig $@
 endif
 
@@ -282,11 +300,11 @@
 KMAPS_DIR=$(prefix)/share/yudit/data
 KMAPS:=$(addprefix $(KMAPS_DIR)/, $(KMAPS))
 
-kmaptoqe: kmaptoqe.c
+kmaptoqe$(EXE): kmaptoqe.c
 	$(HOST_CC) $(CFLAGS) -o $@ $<
 
 ifdef BUILD_ALL
-kmaps: kmaptoqe $(KMAPS)
+kmaps: kmaptoqe$(EXE) $(KMAPS)
 	./kmaptoqe $@ $(KMAPS)
 endif
 
@@ -301,11 +319,11 @@
    JIS0208.TXT JIS0212.TXT
 CP:=$(addprefix cp/,$(CP))
 
-cptoqe: cptoqe.c
+cptoqe$(EXE): cptoqe.c
 	$(HOST_CC) $(CFLAGS) -o $@ $<
 
 ifdef BUILD_ALL
-charset_table.c: cptoqe $(CP)
+charset_table.c: cptoqe$(EXE) $(CP)
 	./cptoqe $(CP) > $@
 endif
 
@@ -318,10 +336,10 @@
 unifont.fbf
 FONTS:=$(addprefix fonts/,$(FONTS))
 
-fbftoqe: fbftoqe.c
+fbftoqe$(EXE): fbftoqe.c
 	$(CC) $(CFLAGS) -o $@ $<
 
-fbffonts.c: fbftoqe $(FONTS)
+fbffonts.c: fbftoqe$(EXE) $(FONTS)
 	./fbftoqe $(FONTS) > $@
 
 #
@@ -332,7 +350,7 @@
      display.o unicode_join.o charset.o charsetmore.o charset_table.o \
      libfbf.o fbfrender.o cfb.o fbffonts.o
 
-html2png: html2png.o $(OBJS) libqhtml/libqhtml.a
+html2png$(EXE): html2png.o $(OBJS) libqhtml/libqhtml.a
 	$(HOST_CC) $(LDFLAGS) -o $@ html2png.o $(OBJS) \
                    -L./libqhtml -lqhtml $(HTMLTOPPM_LIBS)
