## qemacs 0.3.1.cvs.20050713

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 #
 CONFIG_ALL_KMAPS=y
 
-CFLAGS:=-Wall -g $(CFLAGS)
+CFLAGS:=-Wall -g $(CFLAGS) -funsigned-char
 ifdef TARGET_GPROF
 CFLAGS+= -p
 LDFLAGS+= -p
@@ -361,3 +361,4 @@
 # documentation
 qe-doc.html: qe-doc.texi
 	texi2html -monolithic -number $<
+
