## qemacs 0.3.1.cvs.20050713-5f

=== debian/changelog ===
qemacs (0.3.1.cvs.20050713-5f) unstable; urgency=low

  * tweak key input and screen size for hildon/fremantle

 -- Tim Edmonds <tmedmonds@gmail.com>  Tue, 13 Oct 2009 13:01:12 +0200

qemacs (0.3.1.cvs.20050713-5) unstable; urgency=low

  * debian/control: Set maintainer to Debian QA Group.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Aug 2007 13:01:12 +0200

qemacs (0.3.1.cvs.20050713-4) unstable; urgency=high

  * debian/patches/20_html2png-libpng.dpatch: Replace with better patch
    from upstream CVS; fixes FTBFS (closes: #403182).
  * debian/control: Bump Standards-Version to 3.7.2, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Dec 2006 12:07:49 +0100

qemacs (0.3.1.cvs.20050713-3) unstable; urgency=low

  * debian/copyright: Update FSF's address.
  * debian/compat: Switch to compatibility level 5.
  * debian/control: Build-Depend on debhelper (>= 5.0.0).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 18 Dec 2005 15:40:21 +0100

qemacs (0.3.1.cvs.20050713-2) unstable; urgency=low

  * Register qemacs as an alternative to editor with priority 10,
    suggested by Oliver Kopp <olly@flupp.de>.
    + debian/qemacs{,-nox}.postinst: New files.
    + debian/qemacs{,-nox}.prerm: New files.

 -- Romain Francoise <rfrancoise@debian.org>  Thu,  4 Aug 2005 14:38:58 +0200

qemacs (0.3.1.cvs.20050713-1) unstable; urgency=low

  * New CVS snapshot.
  * debian/patches/30_build-fixes.dpatch: Dropped, the gcc-4.0 build has
    been fixed upstream.
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Jul 2005 22:43:59 +0200

qemacs (0.3.1.cvs.20050617-3) unstable; urgency=low

  * debian/patches/30_build-fixes.dpatch: New patch, fixes build with
    gcc-4.0 (closes: #288175).
  * debian/patches/00list: Update.

  * debian/changelog: Fix typo in previous entry.

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  3 Jul 2005 11:29:27 +0200

qemacs (0.3.1.cvs.20050617-2) unstable; urgency=low

  * The "Lean and mean" release: adds a qemacs-nox binary package with
    minimal dependencies and no support for X11, libpng or Xvideo...
    (closes: #274196).  Note that html2png is shipped in both packages,
    the qemacs-nox version doesn't have support for libpng and thus
    creates PPM images only.

  * debian/control:
    + Add qemacs-nox package.
    + Add Conflicts to qemacs on qemacs-nox, and vice versa.
    + Tweak package descriptions.

  * debian/rules:
    + Add targets for qemacs-nox and assorted -A flags to debhelper scripts.
    + Add copyright lines for Didier, Yann, and myself.
    + Remove CFLAGS related code, various cleanups.

  * debian/dirs: Renamed to debian/qemacs.dirs.
  * debian/qemacs-nox.{dirs,docs,doc-base,examples}: New files.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 19 Jun 2005 16:04:13 +0200

qemacs (0.3.1.cvs.20050617-1) unstable; urgency=low

  * New upstream (CVS snapshot of the upcoming 0.3.2), no longer segfaults
    on M-x set-system-font RET (closes: #257025).

  * Converted to dpatch for patch management:
    + debian/rules: Add dpatch stanzas.
    + debian/control: Add build-dependency on dpatch (>= 2.0.9).
    + debian/patches/00list: New file.

  * debian/patches/10_plugin-example.dpatch: New patch, tweaks to the
    plugin example (by Yann Dirson), ported from the previous monolithic
    .diff.gz.

  * debian/patches/20_html2png-libpng.dpatch: New patch, ports html2png to
    libpng12, based on a patch from MJ Ray <markj@luminas.co.uk>, thanks!
    (closes: #156905).

  * New maintainer (closes: #314684):
    + debian/control: Update maintainer address.
    + debian/copyright: Ditto.

  * Bumped Standards-Version to 3.6.2.1, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 18 Jun 2005 11:49:57 +0200

qemacs (0.3.1-5) unstable; urgency=low

  * Don't install the qe compat symlink, which conflicts with a package
    named qe.  Insall manpage under corect name. (Closes: #274775).
  * Install qe.h and support headers in /usr/include/qemacs/ and modify
    plugin example Makefile to reflect that.(Closes: #257785).
  * Modified plugin example Makefile not to "make install" by default.
  * Applied change by Andreas Jochens to allow building with gcc 3.4
    (Closes: #259610).
  * Added debian/watch.
  * Remove dh_undocumented call.

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Oct 2004 22:37:31 +0200

qemacs (0.3.1-4) unstable; urgency=low

  * Rebuild with xfree 4.3, by build-depending on libx11-dev, libxext-dev,
    and libxv-dev instead of old xlibs-dev (Closes: #241684).
  * Added more quotes in menu file (lintian).
  * Build with -g by default, honoring "noopt" build option.
  * Bumped Standards-Version to 3.6.1.
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Sat,  3 Apr 2004 13:19:00 +0200

qemacs (0.3.1-3) unstable; urgency=low

  * Fixed ./configure so that it does not generate a multiline string in
    config.h (Closes: #196276).
  * Run "make distclean" instead of "make clean".

 -- Yann Dirson <dirson@debian.org>  Mon,  9 Jun 2003 17:27:26 +0200

qemacs (0.3.1-2) unstable; urgency=low

  * Rebuild to get rid of /usr/doc/ symlink.
  * Moved tests/ to their own subdir of examples/.
  * Cleanup short description (lintian), mentionned HTML there.
  * Bumped Standards-Version to 3.5.6.

 -- Yann Dirson <dirson@debian.org>  Mon,  5 May 2003 12:11:45 +0200

qemacs (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Apr 2003 19:39:52 +0200

qemacs (0.3-1) unstable; urgency=low

  * New upstream release 
  * Now installs as qemacs, and we don't ship the qe symlink (Closes:
    #154359).
  * Ship example config file and plugin.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Feb 2003 18:00:00 +0100

qemacs (0.2+really0.3pre12-2) unstable; urgency=low

  * Removed CPU-dependant flags from CFLAGS (Closes: #149844).
  * Stripped down extended description.


