=== debian/control ===
Source: qemacs
Section: user/utilities
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libx11-dev, libxext-dev, libxv-dev, libpng-dev, dpatch (>= 2.0.9)
Standards-Version: 3.7.2

Package: qemacs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: qemacs-nox
Description: Small emacs clone editor with HTML and DocBook editing support
 QEmacs (for Quick Emacs) is a very small but powerful editor with an
 Emacs look and feel. Its features include:
 .
  * "All" Emacs common features,
  * Works on any VT100 terminals without termcap,
  * X11 support, with multiple simultaneous proportional fonts. Xft extension
    supported for anti aliased font display.
  * Highly optimized handling of huge files,
  * Full UTF8 support, including Unicode-conformant bidirectional editing,
    with Arabic and Indic scripts handling (in progress),
  * WYSIWYG HTML/XML/CSS2 mode graphical editing, with lynx-like rendering
    for VT100 terminals,
  * WYSIWYG DocBook mode based on XML/CSS2 renderer,
  * C mode with coloring with immediate update and emacs-like auto-indent,
  * Interactive-shell mode using colorized VT100 emulation,
  * Compile mode with next/prev error,
  * Input methods for most languages (from the Yudit editor) including Chinese,
  * X Input methods,
  * Hexadecimal editing mode with insertion and block commands,
  * Unicode hexa editing of UTF8 files,
  * UTF8 VT100 support with double width glyphs,
  * Small (full version is 150KB big).
 .
 Further information is available at <URL: http://www.qemacs.org/>
XB-Maemo-Display-Name: QEmacs
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/INwWK
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAASAAAAEgARslrPgAAAAl2cEFn
 AAAAMAAAADAAzu6MVwAAEYhJREFUaN6dmmmMXWd5x3/Pe9a7zh2Px+Px7B6veAtJ
 nNRJaElB0GK3lJAYqKCqqkq0H6q2Qq2IKioVaCtUiS+t+gm1VCQscQIqtURJ6iyY
 YDsk3uNl7HFm8ez73P2e5e2Hc+6dO44TEl7p1T1zl3P//+f5P9t7R3if6+gfPAei
 AXFADwKHgIeAPUAP0A5Y8dtDDcvAFHAdOAOcAi5qWBHg2I8ef78Q1i15z8AfOwYB
 oGgDPgw8FoPvAuzmOzXfVK+7kABY1HAROA4c13ALCJ/9NYm8JwJHHzsGkAV+H/gi
 cB+QaNxANEoJhhKUoRABkejWWmt0CEGoCQNNGGp0RCYEbmn4HvAfBYyRFAHvl8i7
 EnjisWfRiCjC+4Angd8VdKL+KRFQSjBNhWUpTNPANCMSSuI3aAh1BN73QzwvpFYL
 8P2IDJoQ5BLwL8APgfIz74PEOxL4TGR1B/g86K8AfeuBg2kqbNvAtg0s28A0FYYh
 GIZCqbVbaw1hqAliErVaQLUSUC771GoBaBCRIsh/AV8HpkB45kef/vUIfObTzwBk
 0PwNwl8BGdCxNMAwIuCOswbeshSGEW8lKENoaXFJpW1c10Qk8hSAEgGBSsVneqrA
 reFl5uZKaI0W+AnIl0Bfi0i8uzfMdwQPX0f4c9BWHXgdhO0YOI6J0wDfTEBQKtqW
 bZDJOLS2urS2Jsi1JshkHRzHQClBhxrPC5mbK3LylTFOvjIq5UrwCUHngC+Cvvy+
 PBCDt4G/A74sou07tW7bBo5rYtsmjhNdW5bCjGUjCpRaL6EoHATLVqSSNu2bUvQP
 5Ni8ORO9T8DzQp7/35sc/+8h/EADvAT8CTAC8MwPn7grAWMN/A9wTYUf6j8S+AcR
 ks3gDSOyvOuauK7F1sFW7j/Yxf4DHezctZG+/hwdmzO0tiZIpWxs22wEtsRkAl9T
 KNaYmSkwOrpC24YELa0uYagxDKGzM8vw8ALz8yVEZADYCJwAqm9ePfbuEhKgGoQH
 RfhKLKEGeGVEWcaxDWzLYEtXho99fBstORcRiXc9dWoCX+MHIV4toFLxqVR9qhWf
 ajWgWvUJQ43jGLTkXLTWoDWhFlJpi61bW7kxtABo0HJUw/kQ+ebRx47pu3nBBPjs
 4z8ASAN/Cwwga24XJRiGYFpxprEUGza4JJM2YVgPbI2IoOJYMU3BskySCZOWFned
 UHUIGo0SQaPjv6N6IQiGGX1fEACibdHylwp9Enjtbh5QMXiAI8DhOEFAbFklkXwi
 OSgsyyCfr1Gt+sgdSUyjY+YRqCCsF7J46zgZENUGXX89SqMUSzUmbq9GipC4hovu
 EfRfCLhxar+rhHLAn4pE1ZUYWiN4jSiA67uQrzE2usLuD7Svg48WFhfLzM8VKZd9
 fD+MjKDAsqKUm0hYuK5JImFiOyaGEkKtKRY9fv6zUd66tYTERhA0WgsIR9D6EaWM
 /3snAo+K8BB1yzdSB1FWaUqNSglaa65fn6Njc4q2tmRk7jivXzg/zepKJWp9dGTh
 MNRxIQsJg8gNhiG4CQvXMahUfG7fXuX22GpU2JAIfOwJrcn5gfeFmzeees1xpFSt
 6oC4uzL27XnCFuHLwH0N8HXri2DEsqlLyIwffV9TLnls6khjO1EyEyUsL5VZXa2u
 E9cagagSV6s+hUKN+bkSt2/nmbi9ytJiGc8PCAMdxwQgGq01i0szFEpvDTz2+L2H
 9uzZPX3q1KlJotYSBQwCD9Gs6GYWawKJL3Tjj5mZAufPT1Eu+VFONoRdu9rp6EgR
 xBYPAr1u+37Y2EG8fT8kCEJ0qJu+G3QYMDo+xI3h0zx4KJft7Oz4+Nyc/5FY8kad
 wEGQLmn6oDSBr2cIHeqoKas3Z2FIGGrGx1Y4+8YEhXwNNCQSJvsPbGZgoBURwfOC
 GHAQXXtRQ+fVAmq1gFotipVwzS4ImjDwuDF8mZu3XufwkV3s3TvAsWOnVp566tgU
 UY8mMQF5GMG5E3wdfl3D9XY4smrYsGYQhIyNr/DamdvMzRUJtcaxTT6wZxP7D2zG
 dc0YaESgVguoVQOq8XO+HxlizfUaP/AYunmBkdFLHD68j3vvHeTZZ1/jF6++WUgk
 9ARQqkvIRNgjd7F8w5U6Ah/4Gt8MUb403lInZxiKiclVVlerfGDPJvr7c5iWQW9v
 jkTC4uwbE4yPr+B5AV4tbJDxg/ps0PA1QRBw4+Ylxm5f5SMf3c0DDwzy3HOv8/OT
 Vxjo701Va27t2vX/Wa2r2hTouzM1SXPh0UIYaGq1AFHg2AbJpE06bZNM2jiugWmo
 qPJ6AdeuzbG4WGZw2wZaWhza2hIcergX+/VJLl+cplL1G/GA1rFsIv2EYcCtt64w
 MXmdD31oB488sp3jx8/z4ouXGejbwsa2nhT0GVev/bhSH5hMoO3t0ml2gCaRtOnv
 z7FtextdXVmyLQ4J14ymr0bARfFRq/oUizUqZQ/bUjiOieuaPPhgD6mUzelT4+RX
 K+vKB0CoQ0bHbzA+cZX7Dw5w6NBWTpy4wokTl+jsaKNjUw+p1CbDNNzkFz7343V1
 ILHe/Gv3tS2Dez7YyW8c6qGrO4tlRf28DqNArvtfAyhBaTDNyDNBuBb4hFGG2r+/
 g1zO5eTPRpicXI36oDjOJqdGGB17k337ujl4sIeXXrrMiRNXac2l6e7qJZPpxLHT
 Sikr63mlJgJ3sT5AImHxicM7eOjhXizbIAzDWPN1mcla1oiSNqKIG7NYhkoghBCN
 DjQaTU9vCx/7nW288tIIw8MLaK2ZmZ3grZFL7NzZwf33d/Pqq1d58cVrpFMJ+vt6
 acl24bo5DMMGxGpK6phAGKfTdU3XwQe6ePiRXgzTaAAWBFSTdnXUvYVBSD5fZX6u
 xNJymWrVp1IJ0DqKHa8WEISaStlvVOR8vgpAtZZnfmGIga1tHDjQyblzN3n55SEc
 22Kgv5vW1m4SyQ2YhoNEDdJyM1BTYAGhuanBdc1Gn+P7QaOFqFfn+vJ9zdjIEleu
 zDI+tkI+X8XzwnWK1HqtYatX5OhkQlOplLk9McS9922mJWdz4fwtXnjhKgD9fVvY
 uLGXVLIdy0ogokDrEFhpvr8JTIO0N8unDtgPol5XK0GrtdMGUYp8vsorL49w8cI0
 lYrf1Cutl2M9VOpbqYiM73m8NXKVRLJKIpFjanKGpaUKpqHYsqWdjo4+0qkObDuF
 kjj2kALo2TsJ3AT2NZ84lCs+oyPL9PS2RIS0oLRgaA2GAq352csjnPrFWDStmfEg
 r+LhRjVlMUCHUQOIQBAIBAGj4zcwrTw7d3YxMjLOCy9cob09w4H9/dh2O9lMJ46T
 QSmDRn8OcyATzQQUIq/HcbDm9lBz9uwkM9MFdKgb/YofRLta9ZmcyqN1NAoa8chp
 GHHDZygMs35OtNYAWqbCNISpqVGKpUl27+5meHiGF1+8Tj5fwfPAddtpzXXjui0Y
 ylo/cwhDwOx6AtFZ5XLzu0QJM9NFnv/pTZaWKpF+mxoxQynuvbeTbNZB4tZ43a6T
 MATTaCYkzC9MMz5xnb17e1lYyHP27A2Wlwp0bm6lr6efbLaLRKIVw7DWpp+1dUoJ
 5ebnjP17j+YFPoLQuzaJRZ9dWCgxN1diU0eadNpuSl7Cpo4UHR1pSkWPSsWHpnFw
 LR4UStEYN5eXl3jj3Gl27+7ENA1effUS4+OzbGzPsn1wK62tvSQTbZimHQVtPdNF
 a0ngn4Dx7z1zdC0GDFgI4XngEe5YAty8uUB+tcojv9nHrl3tOI5BSIggDG7bQFd3
 ltGRZYaHF5mdKVCtRrOGxPEAkf6LxRKvnz1DV1eaXC7Nq69eYmRkmlwuya6dA2xs
 6yPhbkQpJ5rCmkFEljtDdCi8bhn79h4FyCP8HpCR2G31kVJEKBRr3BpeYnmlTEuL
 QyptI0rQOhoVN3WkGdy2gYGBVtraktiOidYQBFE19gOfM2dOE+o8u3f3ceHCTc6f
 v0kiYbJv7yBdWwbJZDZjmYn14BtpAA/4BsIZgEtvrs3Gxv59R0GYB7YD90nc3KzN
 pVHuDwPN7GyBsdFlatWATNYlkbCiQ1wdtQqptENnZ5qtWzcwuG0DPT0ttG5wOXXq
 dYZuXOWee7YxPDzBL395DZGQ/fu20te7nVzLFhw7BaiI9FqLWrf+aYR/BIrfbZJP
 PY0C+MC3gMNE5/1vs0F9wC8WPc6dm2JiYpXtOzbSH1vddUy0REO4MoRMxqGlxWFy
 apRLly+wc2cPt2/PcebMFSDggYPb6OneRja7BcfJEASC5/mNote0SsC/Csxo3r6M
 i5ePsX/fUYBpICfCh0BEmupCPbAtS+G6Fq5roTUsLZWZmlxlbq5EPl+lUvHjwT0i
 PT4+zde+9p9Ylonn+Zw+/SaeV+VTn/ogjz/xYe65Zy+pVI5CIaBWDRsDTpPlAb4P
 fFPA++4Pjr6NQENwn//cMYBOEZ4GHpWmwUaIrO+4JsmkRSJp4TomdnzQZTSnTCs6
 PwWfsbHLnD13jcXFMhcvDlMsljh8eB9Hj/4We/bsoaNjM1qbnH1jkp/+5CbLyxXC
 IFw70YALaP0Z4PrTdwEP9SauzkaYAv4eGGm4Ua89mKYimbRIp2xSaZtUyiaTccjl
 XFpaXLJZl2zGwXEUr7xyhp8+/0u2b29HpEK1WuXRR3fwyU8eYsf2nbS3b8J1XFIp
 m8HBDShDosF+7WungCcRdf3dfoZZ99IX/vAY0bAffBbk3xDaGuOmQDoO0k0dadra
 kuRyLqmURTJpRceOhsKyFRcuDPHVr36LMAyZm1vgnnt66e7OcODADg4cOEBXVxem
 YVMs+dweX+XUL8a4fm0+Or2L0C9q+GsN3xHQT3//ifdGYI0EBvDHIN8Qoa0eC6IE
 yzJIJEzSsQfSaZtkyiLhWrgJkyCo8p2nnmNoaISFhVUWF1fYuXMzhw8/yED/TrLZ
 TfieYnmlyuxMkYX5EuWyH/0aVe93NE9q5Nugg3cDXwfaWEeOHMHz32Jm4Z8Rlb5i
 mZ0LIsb9IpKuyyjK6/XfunxKJZ98ocrySoWF+SIvvXyGc+cusLJSZGlpld7eNvbt
 2Yltd1IqJpidqTExkWd6qsjKStR+S6NYhWNhWHmyWDn99NWRL/mZZCvbtncyNDT0
 qz1w5MiRZlJJCHNAW8J98KOOtfXPlEoMNgd1vQeqH/ialqJQXObkyReYnZtlZaXA
 li2t7N2zg03tA6RSGxFx8P3oV5kgCIknStA6DMLimzXv5r+Xq6+/IqIWQa0A1Tq1
 48eP35WAeZfnbGAjqH5gc7lyZtnzxr6TcA/8tmlsuk+wUlqi5t73o12tBmgCrl27
 xPTMDMViiS2drWzbOkgq2YXWWcolQeOhm7OkBq2ri543cbpcu3gyDBeqIuZuYBwY
 BRaJatQ7rjsJSOyBBNHvwllQST+YKuSL8z9x7G1XHXv7A4bK7UDMVDS4RJVzbn6K
 G8NXKJXKdG3ZSH9fPy3ZbmxrA2ibMFw779Baa62ry34wf7lau/aG549PgQ7AyMbc
 0rEhf+Xv2HcS0ER9xwpRYdNAC6gEBHalduVqzbt1y7b6um2zf49htG5Tym33PM+9
 ev2iFItF+vu66OnuJZvtJJFozLJR9Gi/EISlKT+Yu+55b13z/MlZCHxQPkiVqOou
 AHNAkTvmlPcqoVp8kxowHxEgA6QFI6G151Zq12ertRuXDZXLWubmzSOj5Yenp2/t
 6u7Ozm/Z0makUhnt2FYoUq4EYaEYhuWFIFyZ9v25KT+Ynde6UATxQHmgKjHwArBK
 NJusxASCX0VgnYuaAlmIipxJdJDqxjvRdO1AaAeB51y5Uro3CCrpDRuCxXQqV81k
 W8u2ZftI4GldrWntexD6iPIE5YHUgEq8y027EhvOb7b+OwXw2wjchUgzGRXHh9m0
 Ld/37UIhnyyXiykRU2Uy6ZrruqEylBZEx//gEcSg/Fii9Uev6bWQ+gHpewD+rgTe
 A6EGMc/zVD6fN2q1muG6LqlUCsuq/7dNA5COAYZN1+ualfcC9m7r/wEd/WbYalw1
 QQAAACV0RVh0Y3JlYXRlLWRhdGUAMjAwOS0xMC0xM1QwOTozNjo0NiswMTowMKsc
 6OIAAAAldEVYdG1vZGlmeS1kYXRlADIwMDktMTAtMTFUMDE6MTU6MzgrMDE6MDDA
 rxheAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAABJRU5E
 rkJggg==


Package: qemacs-nox
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: qemacs
Description: Small emacs clone editor (without X support)
 QEmacs (for Quick Emacs) is a very small but powerful editor with an
 Emacs look and feel. Its features include:
 .
  * "All" Emacs common features,
  * Works on any VT100 terminals without termcap,
  * X11 support, with multiple simultaneous proportional fonts. Xft extension
    supported for anti aliased font display.
  * Highly optimized handling of huge files,
  * Full UTF8 support, including Unicode-conformant bidirectional editing,
    with Arabic and Indic scripts handling (in progress),
  * WYSIWYG HTML/XML/CSS2 mode graphical editing, with lynx-like rendering
    for VT100 terminals,
  * WYSIWYG DocBook mode based on XML/CSS2 renderer,
  * C mode with coloring with immediate update and emacs-like auto-indent,
  * Interactive-shell mode using colorized VT100 emulation,
  * Compile mode with next/prev error,
  * Input methods for most languages (from the Yudit editor) including Chinese,
  * X Input methods,
  * Hexadecimal editing mode with insertion and block commands,
  * Unicode hexa editing of UTF8 files,
  * UTF8 VT100 support with double width glyphs,
  * Small (full version is 150KB big).
 .
 This package contains a version of QEmacs compiled without support for X.
 .
 Further information is available at <URL: http://www.qemacs.org/>
