## qemacs 0.3.1.cvs.20050713-6f

=== Makefile ===
--- 
+++ 
@@ -217,6 +217,10 @@
 ifdef CONFIG_HTML
 	install -m 755 -s html2png$(EXE) $(prefix)/bin
 endif
+	mkdir -p $(prefix)/share/icons/hicolor/scalable/hildon
+	install qemacs64.png $(prefix)/share/icons/hicolor/scalable/hildon
+	mkdir -p $(prefix)/share/applications/hildon
+	install qemacs.desktop $(prefix)/share/applications/hildon
 
 TAGS: force
 	etags *.[ch]
