=== debian/changelog ===
qemacs (0.3.1.cvs.20050713-6f) unstable; urgency=low

  * tweak key input and screen size for hildon/fremantle

 -- Tim Edmonds <tmedmonds@gmail.com>  Tue, 13 Oct 2009 13:01:12 +0200
