## qemacs 0.3.1.cvs.20050713-7f

=== Makefile ===
--- 
+++ 
@@ -207,6 +207,7 @@
 
 install: $(TARGETS) qe.1 kmaps ligatures
 	install -m 755 qe$(EXE) $(prefix)/bin/qemacs
+	install -m 755 qemacs.sh $(prefix)/bin/qemacs.sh
 	ln -sf qemacs $(prefix)/bin/qe$(EXE)
 ifdef CONFIG_FFMPEG
 	ln -sf qemacs $(prefix)/bin/ffplay
