=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: qemacs
 Architecture: any
 Depends: ${shlibs:Depends}
+Section: user/utilities
 Conflicts: qemacs-nox
 Description: Small emacs clone editor with HTML and DocBook editing support
  QEmacs (for Quick Emacs) is a very small but powerful editor with an
@@ -141,6 +142,7 @@
 Package: qemacs-nox
 Architecture: any
 Depends: ${shlibs:Depends}
+Section: user/utilities
 Conflicts: qemacs
 Description: Small emacs clone editor (without X support)
  QEmacs (for Quick Emacs) is a very small but powerful editor with an
