=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 1997-1999 Joey Hess <joeyh@debian.org>
# Copyright (C) 2002 Didier Dhollande <dholland@free.fr>
# Copyright (C) 2002-2005 Yann Dirson <dirson@debian.org>
# Copyright (C) 2005 Romain Francoise <rfrancoise@debian.org>

include /usr/share/dpatch/dpatch.make

CFLAGS += -g
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	./configure CFLAGS="${CFLAGS}" --prefix=/usr \
	    --disable-xv --disable-html --disable-png --disable-plugins

	touch configure-stamp

configure-nox: configure-stamp-nox
configure-stamp-nox:
	dh_testdir

	-$(MAKE) distclean
	rm -f libqhtml/csstoqe

	./configure CFLAGS="${CFLAGS}" --prefix=/usr --disable-x11 \
		--disable-xv --disable-xrender --disable-png

	touch configure-stamp-nox

build: patch build-stamp
build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

build-nox: patch build-stamp-nox
build-stamp-nox: configure-stamp-nox 
	dh_testdir

	$(MAKE)

	touch build-stamp-nox

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-stamp-nox configure-stamp-nox

	-$(MAKE) distclean
	rm -f libqhtml/csstoqe

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/qemacs/usr

	# fix things
	rm $(CURDIR)/debian/qemacs/usr/bin/qe
	cd $(CURDIR)/debian/qemacs/usr && \
		mv man/man1/qe.1 man/man1/qemacs.1 && \
		mkdir -p share && mv man share
	cd $(CURDIR)/debian/qemacs/usr/share/qe && chmod a-x kmaps ligatures

	# missing bits
	dh_install qe.h config.h cutils.h display.h qestyles.h /usr/include/qemacs/

install-nox: build-nox
	dh_testdir
	dh_testroot
	dh_installdirs -pqemacs-nox

	$(MAKE) install prefix=$(CURDIR)/debian/qemacs-nox/usr

	# fix things
	rm $(CURDIR)/debian/qemacs-nox/usr/bin/qe
	cd $(CURDIR)/debian/qemacs-nox/usr && \
		mv man/man1/qe.1 man/man1/qemacs.1 && \
		mkdir -p share && mv man share
	cd $(CURDIR)/debian/qemacs-nox/usr/share/qe && \
		chmod a-x kmaps ligatures

	# missing bits
	dh_install -pqemacs-nox qe.h config.h cutils.h display.h qestyles.h \
		/usr/include/qemacs/

binary-indep: build install build-nox install-nox
binary-arch: build install build-nox install-nox
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_buildinfo
	dh_installexamples -A config.eg plugin-example
	dh_installmenu
	dh_installinfo -A
	dh_installchangelogs -A Changelog
	dh_link -A
	dh_strip -A
	dh_compress -A
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure \
	build-nox configure-nox install-nox
