=== debian/watch ===
version=2
http://fabrice.bellard.free.fr/qemacs/ qemacs-(.*)\.tar\.gz
